﻿using System;
using System.Web.Mvc;
using Microsoft.Practices.ServiceLocation;

namespace ActivateYourGlutes.Infrastructure
{
    public class CommonServiceLocatorControllerFactory : DefaultControllerFactory
    {
        protected override IController GetControllerInstance(System.Web.Routing.RequestContext requestContext, Type controllerType)
        {
            return (controllerType == null) ? base.GetControllerInstance(requestContext, controllerType) : ServiceLocator.Current.GetInstance(controllerType) as IController;
        }
    }
}