﻿using System.Web.Security;

namespace ActivateYourGlutes.Infrastructure.MembershipServices
{
    public interface IMembershipService
    {
        int MinPasswordLength { get; }
        bool ValidateUser(string userName, string password);
        MembershipCreateStatus CreateUser(string userName, string password, string email);
        bool DeleteUser(string userName);
        bool ChangePassword(string userName, string oldPassword, string newPassword);
        bool ChangeEmail(string username, string email);
        string Email(string username);
        bool IsAdministrator(string username);
        void SetIsAdministrator(string username, bool administrator);
    }
}
