﻿using System.Collections.Generic;

namespace ActivateYourGlutes.Services.Model
{
    public class MeasurementTypeValueType
    {
        public string Code { get; set; }

        public string Description { get; set; }

        public static List<MeasurementTypeValueType> All()
        {
            return new List<MeasurementTypeValueType>()
                       {
                           new MeasurementTypeValueType() { Code = Data.Model.MeasurementType.Length, Description = "Length" },
                           new MeasurementTypeValueType() { Code = Data.Model.MeasurementType.Weight, Description = "Weight" },
                           new MeasurementTypeValueType() { Code = Data.Model.MeasurementType.Percentage, Description = "Percentage" },
                           new MeasurementTypeValueType() { Code = Data.Model.MeasurementType.Absolute, Description = "Number" }
                       };
        }
    }
}
