﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Admin.Master" Inherits="System.Web.Mvc.ViewPage<IEnumerable<ActivateYourGlutes.Services.Model.ResistanceExercise>>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Index
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div id="subheader">
        <h2>Resistance Exercises</h2>
        <div>
            <%= Html.ActionLink("Add", MVC.AdministerResistanceExercises.Create()) %>
        </div>        
    </div>
    <div>
        <table id="list" class="scroll" cellpadding="0" cellspacing="0"></table>
        <div id="pager" class="scroll" style="text-align:center;"></div>
        <script type="text/javascript">
           function deleteRow()
           {
               $("#list").delRowData(1);
           }
        
            jQuery(document).ready(function() {
                jQuery("#list").jqGrid({
                    url: '<%= Url.Action(MVC.AdministerResistanceExercises.GridData()) %>',
                    datatype: 'json',
                    mtype: 'POST',
                    colNames: [ 'Actions', 'Name', 'Category', 'Owner', 'Has Image', 'Has Video', 'Has Instructions' ],
                    colModel: [
                        { name: 'Actions', index: 'Actions', width: 75, sortable: false },
                        { name: 'Name', index:'Name' },
                        { name: 'Category', index:'Category'},
                        { name: 'Owner', index:'Owner' },
                        { name: 'HasImage', index:'HasImage' },
                        { name: 'HasVideo', index:'HasVideo' },
                        { name: 'HasInstructions', index:'HasInstructions' }
                        ],
                  loadComplete: function(){
		                var ids = jQuery("#list").getDataIDs();
		                for(var i=0;i<ids.length;i++){
			                var cl = ids[i];
			                var be = '<a href="<%= Url.Action(MVC.AdministerResistanceExercises.Edit()) %>/' + cl + '">Edit</a>'; 
			                var success = jQuery("#list").setRowData(ids[i],{Actions:be});
		                }	
	                },
                  editurl: "GridSave",
                  autowidth: true,
                    //width:640
                    height: 300,
                    pager: jQuery('#pager'),
                    rowNum: 15,
                    rowList: [5, 10, 20, 50],
                    sortname: 'Id',
                    sortorder: "desc",
                    viewrecords: true,
                    imgpath: '../../Content/Themes/Cupertino/Images',
                    //caption: 'My first grid'
                }).navGrid(pager, { edit: false, add: false, del: true, search: false }, {}, {}, {url: "<%= Url.Action(MVC.AdministerResistanceExercises.Delete()) %>"});
            }); 
        </script>
    </div>

</asp:Content>

