<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Admin.Master" Inherits="System.Web.Mvc.ViewPage<ActivateYourGlutes.Services.Model.Account>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Edit User
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="subheader">
        <h2>Edit User</h2>        
        <div>
            <%= Html.ActionLink("Back to Users", MVC.AdministerUsers.Index()) %>
        </div>
    </div>

    <%= Html.ValidationSummary("Edit was unsuccessful. Please correct the errors and try again.") %>

    <% using (Html.BeginForm()) {%>

        <fieldset>
            <legend>Fields</legend>            
            <p>
                <label for="Username">Username</label>
                <%= Html.TextBox("Username", Model.Username, new { Readonly="readonly" }) %>
                <%= Html.ValidationMessage("Username", "*") %>
            </p>
            <p>
                <%= Html.CheckBox("IsAdministrator", Model.IsAdministrator) %>
                <label for="IsAdministrator">Is Administrator</label>
                <%= Html.ValidationMessage("IsAdministrator", "*") %>
            </p>
            <p>
                <input type="submit" value="Save" />
            </p>
        </fieldset>

    <% } %>
</asp:Content>

