<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Admin.Master" Inherits="System.Web.Mvc.ViewPage<ActivateYourGlutes.Services.Model.Error>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Error Detail
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div id="subheader">
        <h2>Error Details</h2>
        <div>
            <%= Html.ActionLink("Back to List", MVC.ErrorLog.Index()) %>
        </div>
    </div>
    <fieldset>
       <table>
            <tr valign="top">
                <td><label for="date">Date</label></td>
                <td><%= Html.TextBox("date", Model.Timestamp, new Dictionary<string, object>() { { "readonly", "yes" }, { "class", "readonly"}} ) %></td>
                <td><label for="errorlevel">Error Level</label></td>
                <td><%= Html.TextBox("errorlevel", Model.FormattedErrorLevel, new Dictionary<string, object>() { { "readonly", "yes" }, { "class", "readonly" } })%></td>
            </tr>
            <tr valign="top">
                <td><label for="message">Message</label></td>
                <td colspan="3"><%= Html.TextArea("message", Model.Message, 5, 80, new Dictionary<string, object>() { { "readonly", "yes" }, { "class", "readonly" } })%></td>
            </tr>
<% if (Model.HasExceptionDetails)
   { %>
            <tr valign="top">
                <td><label for="exception">Exception</label></td>
                <td colspan="3"><%= Html.TextArea("exception", Model.Exception, 10, 80, new Dictionary<string, object>() { { "readonly", "yes" }, { "wrap", "off" }, { "class", "readonly" } })%></td>
            </tr>
<% } %>
       </table>
    </fieldset>
</asp:Content>

