<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Admin.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Error Log
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="subheader">
        <h2>Error Log</h2>
    </div>
    <div>
        <table id="list" class="scroll" cellpadding="0" cellspacing="0"></table>
        <div id="pager" class="scroll" style="text-align:center;"></div>
        <script type="text/javascript">
           function deleteRow()
           {
               $("#list").delRowData(1);
           }
        
            jQuery(document).ready(function() {
                jQuery("#list").jqGrid({
                    url: '<%= Url.Action(MVC.ErrorLog.GridData()) %>',
                    datatype: 'json',
                    mtype: 'POST',
                    colNames: [ 'Actions', 'Level', 'Date', 'Exception', 'Message' ],
                    colModel: [
                        { name: 'Actions', index: 'Actions', width: 50, sortable: false },
                        { name: 'Level', index:'Level', width: 50, sortable: false },
                        { name: 'Date', index:'Date', width: 75, sortable: false },
                        { name: 'Exception', index: 'Exception', width:50, sortable: false },
                        { name: 'Message', index:'Message', sortable: false }
                        ],
                  loadComplete: function(){
		                var ids = jQuery("#list").getDataIDs();
		                for(var i=0;i<ids.length;i++){
			                var cl = ids[i];
			                var be = '<a href="<%= Url.Action(MVC.ErrorLog.Detail()) %>/' + cl + '">View</a>'; 
			                var success = jQuery("#list").setRowData(ids[i],{Actions:be});
		                }	
	                },
                  editurl: "GridSave",
                  autowidth: true,
                    //width:640
                    height: 300,
                    pager: jQuery('#pager'),
                    rowNum: 15,
                    rowList: [5, 10, 20, 50],
                    sortname: 'Id',
                    sortorder: "desc",
                    viewrecords: true,
                    imgpath: '../../Content/Themes/Cupertino/Images',
                    //caption: 'My first grid'
                }).navGrid(pager, { edit: false, add: false, del: true, search: false }, {}, {}, {url: "<%= Url.Action(MVC.ErrorLog.Delete()) %>"});
            }); 
        </script>
        <p>
            <% using (Html.BeginForm("DeleteAll", "ErrorLog", FormMethod.Get))
               { %>
            <input type="submit" value="Delete All Log Items" />
            <% } %>
        </p>
    </div>
</asp:Content>
