<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<ActivateYourGlutes.Services.Model.Activity>>" %>
<%@ Import Namespace="ActivateYourGlutes.Services.Model" %>
<h3>Recent Activity</h3>
<ul>
<%
    foreach (var activity in ViewData.Model)
    {
        if (activity.Body != null)
        {
            var date = activity.ActivityDate.ToString(((UserLocaleSettings) ViewData["localeSettings"]).DateFormat);
            %>
            <li>
            <%= Html.ActionLink(String.Format("{0} - {1}", date, activity.Title), MVC.Body.Edit(activity.Body.BodyId)) %>
            <%
                if (activity.Description != null)
                {
%>
                <br /><%= Html.Encode(activity.Description) %>
            <%
                }
%>
            </li>
            <%
        }
        else
        {
%>
            <li>
                <%= activity.Title %>
                <%= !String.IsNullOrEmpty(activity.Description) ? "<br/>" + Html.Encode(activity.Description) : "" %>
            </li>
<%
        }
%>
<!--    <li><a href="#">Record new measurements - weight is now 85kg</a></li>
    <li><a href="#">Completed workout for Arms</a></li>
    <li><a href="#">Created new programme Arms</a></li>-->
<%
    }
%>
</ul>