﻿using System.Linq;

namespace ActivateYourGlutes.Data
{
    public interface IRepository<T> : IRepositoryBase
    {
        IQueryable<T> Entities { get; }
        IQueryable<T> EagerlyLoadedEntities(params string[] entities);
        void Create(T entity);
        void Delete(T entity);
    }
}
