﻿using System.Linq;

namespace ActivateYourGlutes.Data.Model
{
    public static class AccountRepositoryExtensions
    {
        public static IQueryable<Account> FullEntities(this IRepository<Account> repository)
        {
            return repository.EagerlyLoadedEntities("UnitOfLength", "UnitOfWeight", "PrimaryMeasurementType",
                                                    "SecondaryMeasurementType");
        }
    }
}
