﻿using System.Collections.Generic;
using ActivateYourGlutes.Services.Model;

namespace ActivateYourGlutes.Services
{
    public interface ILookupProvider
    {
        /// <summary>
        /// Returns the units of length that are setup in the system
        /// </summary>
        IEnumerable<UnitOfLength> UnitsOfLength { get; }

        /// <summary>
        /// Returns the units of weight that are setup in the system
        /// </summary>
        IEnumerable<UnitOfWeight> UnitsOfWeight { get; }
    }
}