﻿using System;

namespace ActivateYourGlutes.Services.Model
{
    public class Account
    {
        public int AccountId { get; set; }

        public string Username { get; set; }

        public DateTime DateOfBirth { get; set; }

        public string LocalDateFormat { get; set; }

        public UnitOfLength UnitOfLength { get; set; }

        public UnitOfWeight UnitOfWeight { get; set; }

        public MeasurementType PrimaryMeasurementType { get; set; }

        public MeasurementType SecondaryMeasurementType { get; set; }

        public bool IsAdministrator { get; set; }

        public string FormatDate(DateTime date)
        {
            return date.ToString(LocalDateFormat);
        }
    }
}