﻿using System;

namespace ActivateYourGlutes.Services.Model
{
    public enum ErrorLevelEnum { Info, Error, Warning, Fatal }

    public class Error
    {
        public int Id { get; set; }

        public DateTime Timestamp { get; set; }

        public ErrorLevelEnum ErrorLevel { get; set; }

        public string Message { get; set; }

        public string Exception { get; set; }

        public string FormattedErrorLevel
        {
            get
            {
                return ErrorLevel.ToString();
            }
        }

        public bool HasExceptionDetails { get { return !String.IsNullOrEmpty(Exception); } }
    }
}
