﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;

namespace ActivateYourGlutes.Services.Model
{
    public class ResistanceExercise
    {
        public int ResistanceExerciseId { get; set; }

        [Required]
        public ResistanceExerciseCategory Category { get; set; }

        [Required]
        public string Name { get; set; }

        public Account Owner { get; set; }

        [DisplayName("Video Url")]
        public string VideoUrl { get; set; }

        [DisplayName("Image Url")]
        public string ImageUrl { get; set; }

        public string Instructions { get; set; }
    }
}
