﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Admin.Master" Inherits="System.Web.Mvc.ViewPage<ActivateYourGlutes.Services.Model.ResistanceExercise>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Create
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <script type="text/javascript">
        $(document).ready(function () {
            $('#Instructions').markItUp(mySettings);
        });
    </script>
    <div id="subheader">
        <h2>Create</h2>
        <div>
            <%: Html.ActionLink("Back to List", "Index") %>
        </div>
    </div>

    <% using (Html.BeginForm()) {%>
        <%: Html.ValidationSummary(true) %>

        <fieldset>
            <table>
                <tr>
                    <td><%: Html.LabelFor(model => model.Name) %></td>
                    <td><%: Html.TextBoxFor(model => model.Name) %></td>
                    <td><%: Html.LabelFor(model => model.Category) %></td>
                    <td><%: Html.DropDownListFor(model => model.Category, (IEnumerable<SelectListItem>)ViewData["Categories"]) %></td>
                </tr>
                <tr>
                    <td><%: Html.LabelFor(model => model.ImageUrl) %></td>
                    <td><%: Html.TextBoxFor(model => model.ImageUrl) %></td>
                    <td><%: Html.LabelFor(model => model.VideoUrl) %></td>
                    <td><%: Html.TextBoxFor(model => model.VideoUrl) %></td>
                </tr>
                <tr>
                    <td colspan="4"><%: Html.LabelFor(model => model.Instructions) %></td>
                </tr>
                <tr>
                    <td colspan="4"><%: Html.TextAreaFor(model => model.Instructions) %></td>
                </tr>
            </table>
            
            <p>
                <input type="submit" value="Create" />
            </p>
        </fieldset>

    <% } %>
</asp:Content>

