<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IndexPayload>" %>
<%@ Import Namespace="ActivateYourGlutes.Payloads.Home"%>
<%
    var activeGoals = ViewData.Model.ActiveGoals;
    var achievedGoals = ViewData.Model.AchievedGoals;
    var recentActivity = ViewData.Model.RecentActivity;
%>
<div id="subheader">
    <h2>Summary</h2>
    <div>
        <%=Html.ActionLink("Log Body Measurement", MVC.Body.Create())%>
    </div>
</div>
<div style="min-height: 450px;">
    
        
    <div style="float:right; width: 500px;">
    <% if (String.IsNullOrEmpty(Model.PrimarySeriesXaml) && String.IsNullOrEmpty(Model.SecondarySeriesXaml))
       {
    %>
    <p style="text-align:center">To see a graph of your progress then set your <%=Html.ActionLink("key indicators", MVC.Account.Index())%>.
    <% }
       else
       {
%>
        <script type="text/javascript" src="<%=Url.Content("~/Content/Visifire2.js")%>"></script>
        <div id="VisifireChart" style="text-align:center">
            <script language="javascript" type="text/javascript">
                var series1 = '<%=ViewData.Model.PrimarySeriesXaml%>';
                var series2 = '<%=ViewData.Model.SecondarySeriesXaml%>';
                var series1Title = '<%=ViewData.Model.PrimarySeriesTitle%>';
                var series2Title = '<%=ViewData.Model.SecondarySeriesTitle%>';
                var chartXmlString = ''
        + '<vc:Chart xmlns:vc="clr-namespace:Visifire.Charts;assembly=SLVisifire.Charts" Width="500" Height="400" BorderThickness="0" Theme="Theme1" Watermark="False" >'
            + '<vc:Chart.Titles>'
                + '<vc:Title Text="Your Progress" Enabled="False" />'
            + '</vc:Chart.Titles>'
            + '<vc:Chart.AxesX>'
                + '<vc:Axis Title="Measurements" Interval="7" IntervalType="Days" ValueFormatString="d MMM yyyy" />'
            + '</vc:Chart.AxesX>'
            + '<vc:Chart.AxesY>'
                + '<vc:Axis Title="' + series1Title + '" StartFromZero="False" AxisType="Primary" />'
                + '<vc:Axis Title="' + series2Title + '" StartFromZero="False" AxisType="Secondary" />'
            + '</vc:Chart.AxesY>'
            + '<vc:Chart.Series>'
                + series1
                + series2
            + '</vc:Chart.Series>'
        + '</vc:Chart>';
                var vChart = new Visifire2("<%=Url.Content("~/Content/SL.Visifire.Charts.xap")%>" , 500 , 400 );
                vChart.setDataXml(chartXmlString);
                vChart.render("VisifireChart");
            </script>
        </div>
        <p style="text-align:center">Change your <%=Html.ActionLink("key indicators here", MVC.Account.Index())%>
        <%
       }
       %>
    </div>
    <%            
            if (achievedGoals.Any())
            {
        %>
        <h3>Achieved Goals</h3>
        <%
                Html.RenderPartial(MVC.Shared.Views.GoalSummary, achievedGoals);
            }
        %>
        <h3>Active Goals</h3>
        <%
            Html.RenderPartial(MVC.Shared.Views.GoalSummary, activeGoals);
            Html.RenderPartial(MVC.Shared.Views.RecentActivitySummary, recentActivity);
        %>
</div>