<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<ActivateYourGlutes.Services.Model.Goal>>" %>
<%@ Import Namespace="ActivateYourGlutes.Services.Model" %>
<%
    var hasGoals = ViewData.Model.Any();
    var localeSettings = (UserLocaleSettings) ViewData["localeSettings"];
    if (hasGoals)
    {
%>
    <ul>
<%
        foreach (var goal in ViewData.Model)
        {
%>
    <li><%= Html.ActionLink(goal.ToString(localeSettings), MVC.Goal.Detail(goal.GoalId)) %></li>
<%
        }
%>
    </ul>
<%
    }
    else
    {
%>
    You have no active goals.
<%
    }
%>
