<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<HorizontalMeasurementTypesPayload>" %>
<%@ Import Namespace="ActivateYourGlutes.Payloads.Shared"%>
<%@ Import Namespace="ActivateYourGlutes.Helpers"%>
<%
    var includeButton = ViewData.Model.IncludeButton;
    var measurementTypes = ViewData.Model.MeasurementTypes;
    var count = measurementTypes.Count();
    var widthAsPercent = Math.Floor(100.0 / count);
    var message = ViewData.Model.Message;
            
%>
    <fieldset class="inline">
        <table width="100%">
<%
    if (!String.IsNullOrEmpty(message))
    {
%>
            <tr>
                <td colspan="<%=count%>"><%= message %></td>
            </tr>
<%
    }
%>
            <tr>
     <%
        var checkedTypes = ViewData.Model.SelectedTypes;
        var cellCount = 0;
        const int cellsPerRow = 8;
        var startNewRow = false;
         foreach (var type in measurementTypes)
           {
             if (startNewRow)
             {
                 startNewRow = false;
%>
            </tr><tr>
<%
             }
               bool isChecked = checkedTypes.Contains(type);
               string name = type.ToFormName();
%>
                <td>
                    <%=Html.CheckBox(name, isChecked)%>
                    <label for="<%=name%>"><%=type.Description%></label>
                </td>
     <%
             cellCount++;
             if (cellCount == cellsPerRow)
             {
                 cellCount = 0;
                 startNewRow = true; 
             }
         }
         if (includeButton)
         {
             if (startNewRow)
             {
%>
            </tr><tr><td colspan="<%=count%>" class="buttonbar"><input type="submit" value="Apply" /></td>
<%

             }
             else
             {
%>
            <td colspan="<%=(cellsPerRow-cellCount).ToString()%>" class="buttonbar"><input type="submit" value="Apply" /></td>
<%
             }
         }
         else if (cellCount != 0)
         {
%>
                <td colspan="<%= (cellsPerRow-cellCount).ToString() %>">&nbsp;</td>
<%
         }
         
%>
            </tr>
<% if (ViewData.Model.Error != null)
{
%>
    <tr><td colspan="<%= count %>" class="error"><%= ViewData.Model.Error %></tr></td>        
<%
}
%>
        </table>
    </fieldset>

