﻿CREATE TABLE [dbo].[Account] (
    [AccountId]                  INT            IDENTITY (1, 1) NOT NULL,
    [Username]                   NVARCHAR (256) NOT NULL,
    [DateOfBirth]                SMALLDATETIME  NOT NULL,
    [UnitOfLengthId]             INT            NOT NULL,
    [UnitOfWeightId]             INT            NOT NULL,
    [PrimaryKeyIndicator]        NVARCHAR (2)   DEFAULT ('W') NULL,
    [SecondaryKeyIndicator]      NVARCHAR (2)   DEFAULT ('BF') NULL,
    [LocalDateFormat]            NVARCHAR (10)  DEFAULT ('dd-MM-yyyy') NOT NULL,
    [PrimaryMeasurementTypeId]   INT            NULL,
    [SecondaryMeasurementTypeId] INT            NULL
);

